Name:  pinot
Version: 0.76        
Release: 2%{?dist}
Summary: Personal search and metasearch for the Desktop      

Group: User Interface/Desktops        
License: GPLv2+       
URL: http://pinot.berlios.de/            
Source0: http://download2.berlios.de/pinot/%{name}-%{version}.tar.gz  
Patch0: fix_lang_detect.patch
Patch1: dbusxapianindex_reload03.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: sqlite-devel >= 3.3.1
BuildRequires: xapian-core-devel >= 1.0.2
BuildRequires: libtextcat-devel >= 2.2
BuildRequires: taglib-devel >= 1.4
BuildRequires: curl-devel >= 7.13
BuildRequires: gmime-devel >= 2.1
BuildRequires: boost-devel >= 1.33
BuildRequires: gtkmm24-devel
BuildRequires: libxml++-devel
BuildRequires: dbus-glib-devel
BuildRequires: gettext-devel
BuildRequires: desktop-file-utils
BuildRequires: shared-mime-info

Requires: shared-mime-info
Requires: unzip
Requires: antiword
Requires: unrtf
Requires: poppler-utils

%description
Pinot is a D-Bus service that crawls, indexes your documents and monitors them
for changes, as well as a GTK-based user interface that enables to query
the index built by the service and your favourite Web engines, and display and
analyze the results


%package deskbar
Summary: Pinot plugin for DeskbarApplet
Group: Applications/Internet
Requires: %{name} = %{version}
Requires: deskbar-applet

%description deskbar
The included plugin enables Deskbar to search documents indexed by Pinot


%prep
%setup -q 
%patch0 -p1 -b .lang_detect
%patch1 -p1 -b .dbus_reload

%build
%configure


make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor fedora       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applications/pinot.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/pinot
%{_bindir}/pinot-dbus-daemon
%{_bindir}/pinot-index
%{_bindir}/pinot-search
%{_datadir}/pinot/
%{_libdir}/pinot/
%{_datadir}/dbus-1/services/de.berlios.Pinot.service
%{_sysconfdir}/xdg/autostart/*.desktop
%{_datadir}/applications/fedora-pinot.desktop
%{_mandir}/man1/pinot.*
%{_mandir}/man1/pinot-dbus-daemon.*
%{_mandir}/man1/pinot-index.*
%{_mandir}/man1/pinot-search.*
%{_datadir}/icons/hicolor/48x48/apps/pinot.png
%{_datadir}/icons/hicolor/32x32/apps/pinot.png
%{_datadir}/icons/hicolor/24x24/apps/pinot.png
%{_datadir}/icons/hicolor/22x22/apps/pinot.png
%{_datadir}/icons/hicolor/16x16/apps/pinot.png
%config(noreplace) %{_sysconfdir}/pinot/
%doc AUTHORS ChangeLog COPYING NEWS README TODO

%files deskbar
%defattr(-,root,root,-)
%{_libdir}/deskbar-applet/handlers/pinot-*

%changelog
* Wed Sep 05 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.76-2
- Add upstream patch to fix preferences segfault

* Thu Aug 23 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.76-1
- Update to final 0.76

* Tue Aug 21 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.76-0.3.beta2
- Fix build

* Tue Aug 21 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.76-0.2.beta2
- Bump release

* Tue Aug 21 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.76-0.1.beta2
- Update to 0.76beta2
- Drop unneeded patches

* Sun Aug 19 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.75-10
- Patch the correct textcat_conf file 

* Fri Aug 17 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.75-9
- Fix libtextcat language detection

* Wed Aug 15 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.75-8
- Add upstream patch to fix bugs with new boost
- Revert last change

* Tue Aug 14 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.75-7
- Bump required boost version

* Mon Aug 13 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.75-6
- Small cleanups

* Mon Aug 13 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.75-5
- Fix files section

* Mon Aug 13 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.75-4
- Adress review comments from RH #251317

* Sat Aug 11 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.75-3
- Fix BuildRequires

* Sat Aug 11 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.75-2
- Fix BuildRequires

* Wed Aug 08 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.75-1
- Inital build
